Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
rapidjson::GenericInsituStringStream< Encoding > Struct Template Reference

A read-write string stream. More...

`#include <stream.h>`

## Public Types
typedef Encoding::Ch | Ch

## Public Member Functions
| GenericInsituStringStream (Ch *src)
Ch | Peek ()
Ch | Take ()
size_t | Tell ()
void | Put (Ch c)
Ch * | PutBegin ()
size_t | PutEnd (Ch *begin)
void | Flush ()
Ch * | Push (size_t count)
void | Pop (size_t count)

## Public Attributes
Ch * | src_
Ch * | dst_
Ch * | head_

## Detailed Description

template<typename Encoding>
struct rapidjson::GenericInsituStringStream< Encoding >

A read-write string stream.

This string stream is particularly designed for in-situ parsing.

Note
  implements Stream concept

The documentation for this struct was generated from the following files:

- include/rapidjson/fwd.h
- include/rapidjson/stream.h